local vector2 = require("#microsoft.xna.framework.vector2")

local openedBoxFlag = "opened_pandoras_box"
local activeEvent = "event:/SC2020_Cruor"
local inactiveEvent = "music_oldsite_awake"

local function setMusicIfNotStarted(event)
    if getMusic() ~= event then
        playMusic(event)
    end
end

function onBegin()
    makeUnskippable()

    setMusicIfNotStarted(getFlag(openedBoxFlag) and activeEvent or inactiveEvent)
end

function onEnd(level, wasSkipped)

end